[Pkg-sssd-devel] [Git][sssd-team/sssd][master] 2 commits: d/t/sssd-{softhism2-certificates-test, smart-card-pam-auth-configs-tester}: fix test user creation

Timo Aaltonen (@tjaalton) gitlab at salsa.debian.org
Fri Feb 13 10:18:04 GMT 2026



Timo Aaltonen pushed to branch master at Debian SSSD packaging / sssd


Commits:
43fb6066 by Jonas Jelten at 2026-02-11T11:17:57+01:00
d/t/sssd-{softhism2-certificates-test,smart-card-pam-auth-configs-tester}: fix test user creation

adduser commandline has changed, and username format is now validated.

- disable-password -> disabled-password
- use --allow-bad-names to bypass the NAME_REGEX config variable

- - - - -
d21a2b86 by Jonas Jelten at 2026-02-11T11:17:57+01:00
d/t/sssd-smart-card-pam-auth-configs-tester: remove deprecated files provider

upstream removed support in 827a9bffacc500fbfc71c6454285298dc99982a3 (in >=2.11.0)
replaced according to https://sssd.io/docs/files-provider-deprecation.html

- - - - -


3 changed files:

- debian/tests/control
- debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
- debian/tests/sssd-softhism2-certificates-tests.sh


Changes:

=====================================
debian/tests/control
=====================================
@@ -17,21 +17,21 @@ Depends: bash,
 Restrictions: needs-root,
               allow-stderr
 
-#Test-Command: env
-#  OFFLINE_MODE=1
-#  bash debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
-#Features: test-name=sssd-smart-card-pam-auth-configs
-#Depends: bash,
-#         gnutls-bin,
-#         libpam-sss,
-#         openssl,
-#         pamtester,
-#         passwd,
-#         softhsm2,
-#         sssd,
-#         util-linux
-#Restrictions: breaks-testbed,
-#              isolation-container,
-#              needs-root,
-#              allow-stderr
-
+Test-Command: env
+  OFFLINE_MODE=1
+  bash debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
+Features: test-name=sssd-smart-card-pam-auth-configs
+Depends: bash,
+         gnutls-bin,
+         libpam-sss,
+         openssl,
+         pamtester,
+         passwd,
+         softhsm2,
+         sssd,
+         sssd-proxy,
+         util-linux
+Restrictions: breaks-testbed,
+              isolation-container,
+              needs-root,
+              allow-stderr


=====================================
debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
=====================================
@@ -12,7 +12,12 @@
 set -xe
 
 if [ -z "${AUTOPKGTEST_NORMAL_USER}" ]; then
-    adduser --quiet --disable-password _sssduser
+    adduser --quiet --disabled-password --allow-bad-names _sssduser || {
+        if [ $? -ne 11 ]; then
+            echo "failed to add test user";
+            exit 1
+        fi
+    }
     AUTOPKGTEST_NORMAL_USER="_sssduser"
 fi
 
@@ -169,13 +174,17 @@ function test_authentication() {
 
   cat <<EOF > /etc/sssd/sssd.conf || return 2
 [sssd]
-enable_files_domain = True
 services = pam
-#certificate_verification = $verification_options
+domains = local
 
-[certmap/implicit_files/${AUTOPKGTEST_NORMAL_USER}]
+[certmap/local/${AUTOPKGTEST_NORMAL_USER}]
 matchrule = <SUBJECT>.*Test Organization.*
 
+[domain/local]
+id_provider = proxy
+proxy_lib_name = files
+local_auth_policy = only
+
 [pam]
 pam_cert_db_path = $ca_db
 pam_cert_verification = $verification_options


=====================================
debian/tests/sssd-softhism2-certificates-tests.sh
=====================================
@@ -8,7 +8,12 @@
 set -xe
 
 if [ -z "${AUTOPKGTEST_NORMAL_USER}" ]; then
-    adduser --quiet --disable-password _sssduser
+    adduser --quiet --disabled-password --allow-bad-names _sssduser || {
+        if [ $? -ne 11 ]; then
+            echo "failed to add test user";
+            exit 1
+        fi
+    }
     AUTOPKGTEST_NORMAL_USER="_sssduser"
 fi
 



View it on GitLab: https://salsa.debian.org/sssd-team/sssd/-/compare/9fda67f9173a8668b4ea24808130c8f3c213e980...d21a2b8669a26576c9f3077033423dc0281ecbc5

-- 
View it on GitLab: https://salsa.debian.org/sssd-team/sssd/-/compare/9fda67f9173a8668b4ea24808130c8f3c213e980...d21a2b8669a26576c9f3077033423dc0281ecbc5
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-sssd-devel/attachments/20260213/e6e03139/attachment-0001.htm>


More information about the Pkg-sssd-devel mailing list